AppListProducts
GET
/apps/catalog/products
const url = 'https://your-store.myciqra.com/apps/catalog/products?skip=0&take=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://your-store.myciqra.com/apps/catalog/products?skip=0&take=50' \ --header 'Authorization: Bearer <token>'Required scope: read_products — an installation token without it receives 403.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”skip
integer | string format: int32
take
integer | string format: int32
Responses
Section titled “ Responses ”OK
Media typeapplication/json
object
items
required
Array<object>
object
categoryId
required
null | string format: uuid
categoryName
required
null | string
currency
required
null | string
id
required
string format: uuid
kind
required
maxPrice
required
null | number | string format: double
minPrice
required
null | number | string format: double
name
required
string
slug
required
null | string
status
required
tags
required
Array<string>
thumbnailAlt
required
null | string
thumbnailUrl
required
null | string
totalInventory
required
integer | string format: int32
updatedAt
required
string format: date-time
variantCount
required
integer | string format: int32
skip
required
integer | string format: int32
take
required
integer | string format: int32
total
required
integer | string format: int32
Example
{ "items": [ { "kind": "Physical", "status": "Active" } ]}